<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Profiling Your Web Application</h1>

		<p>The profiler class displays benchmark results, queries that have been run, $_GET, and $_POST data at
		the bottom of your pages.  The information can help developement in order to optimise and debug your
		web applications.</p>

		<p><i>Note:</i> this class does not need to be initialised, it is loaded by the output class if profiling
		is enabled.</p>
	</div>

	<div class="content">
		<h1>Enabling the Profiler</h1>

		<p>To enable the profiler you can place the following line anywhere within your controller methods.</p>

		<div class="example">
			$this->output->enable_profiler(true);
		</div>

		<p>When enabled a report will be generated and appended to your pages.  To disable the profiler you can
		use the following line.</p>

		<div class="example">
			$this->output->enable_profiler(false);
		</div>
	</div>

	<div class="content">
		<h1>Setting Benchmark Points</h1>

		<p>In order for the profiler to compile and display your benchmarks data you must name your mark points
		using a specific syntax.  This information is explained in the benchmark library page.</p>
	</div>
</body>

</html>
